This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 533318 - openoffice oomath does not handle accents in MathML
openoffice oomath does not handle accents in MathML
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
16
All Linux
low Severity low
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-05 22:18 EST by Josh Cogliati
Modified: 2012-01-15 21:24 EST (History)
3 users (show)

See Also:
Fixed In Version: libreoffice-3.4.4.2-7.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-15 21:24:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
MathML using accents. (609 bytes, text/xml)
2009-11-05 22:18 EST, Josh Cogliati
no flags Details
Patch to fix most of the accent problems (1.19 KB, patch)
2011-12-30 12:17 EST, Josh Cogliati
no flags Details | Diff
Patch to fix all simple accent problems (2.08 KB, patch)
2012-01-05 08:12 EST, Josh Cogliati
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 33849 None None None Never
OpenOffice.org 90553 None None None Never

  None (edit)
Description Josh Cogliati 2009-11-05 22:18:56 EST
Created attachment 367779 [details]
MathML using accents.

Description of problem:
OpenOffice.org oomath does not handle accents in MathML.  OpenOffice relies on a annotation to be able to display and edit accents.  If this is stripped away (as Microsoft Office 2007 does) the formulas are not properly displayed.  

Version-Release number of selected component (if applicable):
openoffice.org-math-3.1.1-19.2.fc11.x86_64
(fyi still in 19.5)

How reproducible:
Every time.

Steps to Reproduce:
1. go into oomath
2. create a formula "hat a vec b"
3. Save as MathML
4. Remove the <math:annotation math:encoding="StarMath 5.0">hat a vec b</math:annotation> in the file.
5. Open with oomath.
  
Actual results:
^a->b

Expected results:
the result of hat a vec b

Additional info:
This is a bug in OpenOffice, since according to the ODF spec it should be able to read in a MathML file.  For reference firefox displays the attached mathml file correctly (so OpenOffice writes out a correct MathML file).  It looks like OpenOffice needs to recognize when there is an accent, and properly deal with it.
Comment 1 David Tardon 2009-11-06 05:54:19 EST
Thanks for the report. I'll look at it.
Comment 2 Caolan McNamara 2009-11-06 06:22:37 EST
caolanm->dtardon: Poke around starmath/source/node.cxx and the CreateTextFromNode hierarchy. Catch has always been that starmath's layout code can do a lot of the mathml stuff, but in order to be able to edit the equation something has to be generated to munge it back to mathml's tex-like language.
Comment 3 Josh Cogliati 2010-02-24 13:33:35 EST
This has also been reported in the openoffice qa site as bug 90553
http://qa.openoffice.org/issues/show_bug.cgi?id=90553
Comment 4 Bug Zapper 2010-04-28 07:07:28 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Josh Cogliati 2010-04-28 11:07:04 EDT
Still present in Fedora 12 with rpm:

openoffice.org-math-3.1.1-19.28.fc12.x86_64

and Fedora 13 Beta with rpm:

openoffice.org-math-3.2.0-12.13.fc13.x86_64
Comment 6 Bug Zapper 2011-06-02 13:30:22 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Josh Cogliati 2011-06-03 18:26:47 EDT
Still exists in libreoffice-math.x86_64 1:3.3.2.2-7.fc15
Comment 8 Josh Cogliati 2011-12-30 12:17:03 EST
Created attachment 550080 [details]
Patch to fix most of the accent problems

Adds the needed cases to CreateTextFromNode to accent related problems with
importing from mathml such as vectors and hat accents.

I also uploaded this patch to:
https://bugs.freedesktop.org/show_bug.cgi?id=33849
Comment 9 Josh Cogliati 2012-01-05 08:12:12 EST
Created attachment 550897 [details]
Patch to fix all simple accent problems

Adds the needed cases to CreateTextFromNode to fix accent related problems with
importing from mathml such as vectors and hat accents.

Compared to the previous patch, this fixes dddot.  This patch also adds
comments that tell which unicode character is being matched.  

Now all the following can be read from a mathml file:
acute a grave b check c breve d circle e vec f tilde g hat h bar i dot j ddot k 
dddot l 

When applied this patch should fix this bug.  

This patch has also been sent upstream.
Comment 10 Fedora Update System 2012-01-06 17:54:11 EST
libreoffice-3.4.4.2-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libreoffice-3.4.4.2-7.fc16
Comment 11 Fedora Update System 2012-01-07 18:12:45 EST
Package libreoffice-3.4.4.2-7.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.4.4.2-7.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0243/libreoffice-3.4.4.2-7.fc16
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2012-01-15 21:24:00 EST
libreoffice-3.4.4.2-7.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.